com.holonplatform.vaadin7.components

## Interface Dialog.QuestionDialogBuilder

- All Superinterfaces:
    ComponentBuilder<Dialog,Dialog.QuestionDialogBuilder>, ComponentConfigurator<Dialog.QuestionDialogBuilder>, Dialog.Builder<Dialog.QuestionDialogBuilder>
  Enclosing interface:
    Dialog

      public static interface Dialog.QuestionDialogBuilder
      extends Dialog.Builder<Dialog.QuestionDialogBuilder>

  Question `Dialog` builder.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin7.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Dialog.QuestionDialogBuilder` | `callback(Dialog.QuestionCallback callback)` Set the callback to use when user select a yes or no answer from the question dialog.
    `Dialog.QuestionDialogBuilder` | `noButtonConfigurator(Dialog.DialogButtonConfigurator configurator)` Set a `Dialog.DialogButtonConfigurator` to configure the no answer dialog button.
    `Dialog.QuestionDialogBuilder` | `yesButtonConfigurator(Dialog.DialogButtonConfigurator configurator)` Set a `Dialog.DialogButtonConfigurator` to configure the yes answer dialog button.

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.Dialog.Builder

      `closable, content, draggable, htmlContentAllowed, message, message, message, messageDescriptionStyleName, messageStyleName, modal, open, open, position, resizable, withCloseListener, withCloseShortcut`

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.ComponentBuilder

      `build, deferLocalization`

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.ComponentConfigurator

      `caption, caption, caption, captionAsHtml, description, description, description, disabled, errorHandler, fullHeight, fullSize, fullWidth, height, height, heightUndefined, hidden, icon, id, immediate, notVisible, primaryStyleName, replaceStyleName, responsive, sizeUndefined, styleName, width, width, widthUndefined, withAttachListener, withContextClickListener, withData, withDetachListener, withShortcutListener`

- - ### Method Detail

    - #### yesButtonConfigurator

          Dialog.QuestionDialogBuilder yesButtonConfigurator(Dialog.DialogButtonConfigurator configurator)

      Set a `Dialog.DialogButtonConfigurator` to configure the yes answer dialog button.
      Parameters:
        `configurator` - Dialog button configurator
      Returns:
        this

    - #### noButtonConfigurator

          Dialog.QuestionDialogBuilder noButtonConfigurator(Dialog.DialogButtonConfigurator configurator)

      Set a `Dialog.DialogButtonConfigurator` to configure the no answer dialog button.
      Parameters:
        `configurator` - Dialog button configurator
      Returns:
        this

    - #### callback

          Dialog.QuestionDialogBuilder callback(Dialog.QuestionCallback callback)

      Set the callback to use when user select a yes or no answer from the question dialog.
      Parameters:
        `callback` - Question dialog callback
      Returns:
        this

Copyright © 2019 The Holon Platform. All rights reserved.